<?php

	lt_include(PLOG_CLASS_PATH . "class/action/admin/adminaction.class.php");
	lt_include(PLOG_CLASS_PATH . "class/view/admin/adminplugintemplatedview.class.php");
	lt_include(PLOG_CLASS_PATH . "plugins/tidyoutput/class/view/plugintidyoutputconfigview.class.php");

	/**
    * PluginTidyOutputConfigAction class
    */
	class PluginTidyOutputConfigAction extends AdminAction
	{
        /**
        * Constructor
        */      
		function PluginTidyOutputConfigAction($actionInfo, $request)
		{
			$this->AdminAction( $actionInfo, $request );

            $this->requireAdminPermission( "manage_admin_plugins" );
		}

        /**
        * Add function info here
        */        
		function perform()
		{
            lt_include(PLOG_CLASS_PATH . "plugins/tidyoutput/class/tidy/tidy.class.php");
                  
            $this->_view = new PluginTidyOutputConfigView($this->_blogInfo);
            $this->_view->setValue("tidyInstalled", Tidy::isInstalled());
			$this->setCommonData();
            
			return true;
		}
	}
   
?>